Bug 826943 (CVE-2012-3406) - CVE-2012-3406 glibc: printf() unbound alloca() usage in case of positional parameters + many format specs
Summary: CVE-2012-3406 glibc: printf() unbound alloca() usage in case of positional pa...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-3406
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 826947 833716 833717 833720 841318
Blocks: 822803
TreeView+ depends on / blocked
 
Reported: 2012-05-31 09:38 UTC by Stefan Cornelius
Modified: 2019-09-29 12:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-18 16:41:44 UTC


Attachments (Terms of Use)
RHEL6 patch backports and test cases (963.40 KB, patch)
2012-06-27 09:12 UTC, Stefan Cornelius
no flags Details | Diff
RHEL5 patch backport and test case (962.96 KB, patch)
2012-06-27 09:13 UTC, Stefan Cornelius
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1097 normal SHIPPED_LIVE Moderate: glibc security and bug fix update 2012-07-18 19:23:18 UTC
Red Hat Product Errata RHSA-2012:1098 normal SHIPPED_LIVE Moderate: glibc security and bug fix update 2012-07-18 19:23:08 UTC
Red Hat Product Errata RHSA-2012:1185 normal SHIPPED_LIVE Moderate: rhev-hypervisor5 security and bug fix update 2012-08-21 23:12:40 UTC
Red Hat Product Errata RHSA-2012:1200 normal SHIPPED_LIVE Moderate: rhev-hypervisor6 security and bug fix update 2012-08-23 18:24:51 UTC
Sourceware 16617 None None None Never

Description Stefan Cornelius 2012-05-31 09:38:09 UTC
It was discovered that the formatted printing functionality in glibc did not properly restrict the use of alloca(). A remote attacker could provide a specially crafted sequence of format specifiers, leading to a crash or, potentially, FORTIFY_SOURCE format string protection mechanism bypass, when processed.

Comment 4 Stefan Cornelius 2012-06-27 09:12:25 UTC
Created attachment 594722 [details]
RHEL6 patch backports and test cases

Comment 5 Stefan Cornelius 2012-06-27 09:13:46 UTC
Created attachment 594727 [details]
RHEL5 patch backport and test case

Comment 6 Stefan Cornelius 2012-07-11 10:35:09 UTC
Pulic now/CVEs requested via:
http://www.openwall.com/lists/oss-security/2012/07/11/5

Comment 7 Stefan Cornelius 2012-07-11 17:25:59 UTC
A CVE identifier of CVE-2012-3406 has been assigned to this issue.

Comment 9 errata-xmlrpc 2012-07-18 15:23:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1098 https://rhn.redhat.com/errata/RHSA-2012-1098.html

Comment 10 errata-xmlrpc 2012-07-18 15:24:43 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1097 https://rhn.redhat.com/errata/RHSA-2012-1097.html

Comment 11 Vincent Danen 2012-07-18 16:40:16 UTC
Created glibc tracking bugs for this issue

Affects: fedora-all [bug 841318]

Comment 12 errata-xmlrpc 2012-08-21 19:13:14 UTC
This issue has been addressed in following products:

  RHEV-H, V2V and Agents for RHEL-5

Via RHSA-2012:1185 https://rhn.redhat.com/errata/RHSA-2012-1185.html

Comment 13 errata-xmlrpc 2012-08-23 14:25:33 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2012:1200 https://rhn.redhat.com/errata/RHSA-2012-1200.html


Note You need to log in before you can comment on or make changes to this bug.